package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;

import java.io.DataInputStream;
import java.io.IOException;

public class AdditionalInfo implements IRead, ILogentry{
    public boolean freeDriveButtonPressed;
    public boolean freeDriveButtonEnabled;
    public boolean ioEnabledFreeDrive;



    public void read(CountDataInputStream di, int size) throws IOException {
        freeDriveButtonPressed = di.readBoolean();
        freeDriveButtonEnabled = di.readBoolean();
        ioEnabledFreeDrive = di.readBoolean();

    }

    @Override
    public String toString() {
        return "AdditionalInfo{" +
                "freeDriveButtonPressed=" + freeDriveButtonPressed +
                ", freeDriveButtonEnabled=" + freeDriveButtonEnabled +
                ", ioEnabledFreeDrive=" + ioEnabledFreeDrive +
                '}';
    }
}
