package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;

import java.io.DataInputStream;
import java.io.IOException;

public class CartesianInfo implements IRead, ILogentry {
    public double x,y,z;
    public double rx,ry,rz;
    public double tcpOffsetX,tcpOffsetY, tcpOffsetZ;
    public double tcpOffsetRX,tcpOffsetRY, tcpOffsetRZ;


    public void read(CountDataInputStream di, int size) throws IOException {
        x=di.readDouble();
        y=di.readDouble();
        z=di.readDouble();
        rx=di.readDouble();
        ry=di.readDouble();
        rz=di.readDouble();
        tcpOffsetX=di.readDouble();
        tcpOffsetY=di.readDouble();
        tcpOffsetZ=di.readDouble();
        tcpOffsetRX=di.readDouble();
        tcpOffsetRY=di.readDouble();
        tcpOffsetRZ=di.readDouble();
    }

    @Override
    public String toString() {
        return "CartesianInfo{" +
                "x=" + x +
                ", y=" + y +
                ", z=" + z +
                ", rx=" + rx +
                ", ry=" + ry +
                ", rz=" + rz +
                ", tcpOffsetX=" + tcpOffsetX +
                ", tcpOffsetY=" + tcpOffsetY +
                ", tcpOffsetZ=" + tcpOffsetZ +
                ", tcpOffsetRX=" + tcpOffsetRX +
                ", tcpOffsetRY=" + tcpOffsetRY +
                ", tcpOffsetRZ=" + tcpOffsetRZ +
                '}';
    }
}
