package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;

import java.io.DataInputStream;
import java.io.IOException;

public class ForceModeData implements IRead, ILogentry {
    public double x,y,z;
    public double rx, ry, rz;
    public double robotDexterity;

    public void read(CountDataInputStream di, int size) throws IOException {
        x=di.readDouble();
        y=di.readDouble();
        z=di.readDouble();
        rx=di.readDouble();
        ry=di.readDouble();
        rz=di.readDouble();
        robotDexterity=di.readDouble();
    }

    @Override
    public String toString() {
        return "ForceModeData{" +
                "x=" + x +
                ", y=" + y +
                ", z=" + z +
                ", rx=" + rx +
                ", ry=" + ry +
                ", rz=" + rz +
                ", robotDexterity=" + robotDexterity +
                '}';
    }
}
