package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;

import java.io.DataInputStream;
import java.io.IOException;

public class ToolCommInfo implements IRead, ILogentry {
    public boolean toolCommunicationEnabled;
    public int baudrate;
    public int parity;
    public int rxIdleChars; //TODO: geraten
    public int txIdleChars;
    public int whatever;

    public void read(CountDataInputStream di, int size) throws IOException {
        toolCommunicationEnabled=di.readBoolean();
        baudrate=di.readInt();
        parity=di.readInt();
        rxIdleChars=di.readInt();
        txIdleChars=di.readInt();
        whatever=di.readInt();
    }

    @Override
    public String toString() {
        return "ToolCommInfo{" +
                "toolCommunicationEnabled=" + toolCommunicationEnabled +
                ", baudrate=" + baudrate +
                ", parity=" + parity +
                ", rxIdleChars=" + rxIdleChars +
                ", txIdleChars=" + txIdleChars +
                ", whatever=" + whatever +
                '}';
    }
}
