package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;

import java.io.DataInputStream;
import java.io.IOException;

//49 byte
public class JointData implements IRead, ILogentry{
    double qActual;
    double qTarget;
    double qdActual;
    float lActual;
    double vActual;
    float tMotor;
    double tMicro;
    byte jointMode;

    //TODO: float/double propably wrong
    //total length 41 bytes
    public void read(CountDataInputStream di, int size) throws IOException {
        qActual=di.readDouble();
        qTarget=di.readDouble();
        qdActual=di.readDouble();
        lActual=di.readFloat();
        vActual=di.readFloat();
        tMotor=di.readFloat();
        tMicro=di.readFloat();
        jointMode=di.readByte();
    }

    @Override
    public String toString() {
        return "JointData{" +
                "qActual=" + qActual +
                ", qTarget=" + qTarget +
                ", qdActual=" + qdActual +
                ", lActual=" + lActual +
                ", vActual=" + vActual +
                ", tMotor=" + tMotor +
                ", tMicro=" + tMicro +
                ", jointMode=" + jointMode +
                '}';
    }
}
