package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;

import java.io.IOException;

public class ModeData implements IRead, ILogentry {
    public boolean realRobotConnected;
    public boolean realRobotEnabled;
    public boolean robotPoweredOn;
    public boolean emergencyStopped;
    public boolean protectiveStopped;
    public boolean isProgramRunning;
    public boolean isProgramPaused;
    public byte robotMode;
    public byte controlMode;
    public double targetSpeedFraction;
    public double speedScaling;
    public double targetSpeedFractionLimit;
    public int internal;

    @Override
    public void read(CountDataInputStream di, int size) throws IOException {

    }

    @Override
    public String toString() {
        return "ModeData{" +
                "realRobotConnected=" + realRobotConnected +
                ", realRobotEnabled=" + realRobotEnabled +
                ", robotPoweredOn=" + robotPoweredOn +
                ", emergencyStopped=" + emergencyStopped +
                ", protectiveStopped=" + protectiveStopped +
                ", isProgramRunning=" + isProgramRunning +
                ", isProgramPaused=" + isProgramPaused +
                ", robotMode=" + robotMode +
                ", controlMode=" + controlMode +
                ", targetSpeedFraction=" + targetSpeedFraction +
                ", speedScaling=" + speedScaling +
                ", targetSpeedFractionLimit=" + targetSpeedFractionLimit +
                ", internal=" + internal +
                '}';
    }
}
